From: Alerxandre Detiste
Subject: run tests with Pytest8
Forwarded: no

diff --git a/t/conftest.py b/t/conftest.py
index 0095803..4935eb3 100644
--- a/t/conftest.py
+++ b/t/conftest.py
@@ -32,7 +32,7 @@ def app(celery_app):
 
 
 @pytest.fixture(autouse=True)
-def test_cases_shortcuts(request, app, patching):
+def test_cases_shortcuts(request, app):
     if request.instance:
         @app.task
         def add(x, y):
@@ -42,7 +42,7 @@ def test_cases_shortcuts(request, app, patching):
         request.instance.app = app
         request.instance.Celery = TestApp
         request.instance.add = add
-        request.instance.patching = patching
+        #request.instance.patching = patching
     yield
     if request.instance:
         request.instance.app = None
diff --git a/t/unit/backends/test_cache.py b/t/unit/backends/test_cache.py
index 1cc7040..7a54ed3 100644
--- a/t/unit/backends/test_cache.py
+++ b/t/unit/backends/test_cache.py
@@ -17,7 +17,7 @@ class SomeClass:
 
 class test_CacheBackend:
 
-    def setup(self):
+    def setup_method(self):
         self.b = CacheBackend(app=self.app)
 
     def test_mark_as_done(self):
